# Interface DefinitionObject

interface DefinitionObject {
inverseRelation ?: string;
isPromoted ?: boolean;
labelType ?: string;
multiplicity ?: string;
numberPrecision ?: number;
promotedAlias ?: string;
}

- Defined in src/services/promoted_attribute_definition_interface.ts:1

##### Index

### Properties

inverseRelation?
isPromoted?
labelType?
multiplicity?
numberPrecision?
promotedAlias?

## Properties

### `Optional` inverseRelation

inverseRelation?: string

- Defined in src/services/promoted_attribute_definition_interface.ts:7

### `Optional` isPromoted

isPromoted?: boolean

- Defined in src/services/promoted_attribute_definition_interface.ts:2

### `Optional` labelType

labelType?: string

- Defined in src/services/promoted_attribute_definition_interface.ts:3

### `Optional` multiplicity

multiplicity?: string

- Defined in src/services/promoted_attribute_definition_interface.ts:4

### `Optional` numberPrecision

numberPrecision?: number

- Defined in src/services/promoted_attribute_definition_interface.ts:5

### `Optional` promotedAlias

promotedAlias?: string

- Defined in src/services/promoted_attribute_definition_interface.ts:6